apiVersion: v1
kind: Secret
metadata:
  name: cb-example-auth
type: Opaque
data:
  username: QWRtaW5pc3RyYXRvcg== # Administrator
  password: cGFzc3dvcmQ=         # password
---
apiVersion: couchbase.com/v2
kind: CouchbaseBucket
metadata:
  name: default
---
apiVersion: couchbase.com/v2
kind: CouchbaseCluster
metadata:
  name: cb-example
spec:
  networking:
    tls:
      static:
        serverSecret: couchbase-server-tls 
        operatorSecret: couchbase-operator-tls 
  image: couchbase/server:6.5.1
  security:
    adminSecret: cb-example-auth
  buckets:
    managed: true
  servers:
  - size: 1
    name: all_services
    services:
    - data
    - index
    - query
    - search
    - eventing
    - analytics
    volumeMounts:
      default: couchbase
  volumeClaimTemplates:
  - metadata:
      name: couchbase
    spec:
      resources:
        requests:
          storage: 50Gi
